'use strict';
const h16 = require('./h16');
const ls32 = require('./ls32');
// https://tools.ietf.org/html/rfc3986#appendix-A
const forms = [
	`(?:${h16}:){6}${ls32}`,
	`::(?:${h16}:){5}${ls32}`,
	`${h16}?::(?:${h16}:){4}${ls32}`,
	`(?:(?:${h16}:)?${h16})?::(?:${h16}:){3}${ls32}`,
	`(?:(?:${h16}:){0,2}${h16})?::(?:${h16}:){2}${ls32}`,
	`(?:(?:${h16}:){0,3}${h16})?::${h16}:${ls32}`,
	`(?:(?:${h16}:){0,4}${h16})?::${ls32}`,
	`(?:(?:${h16}:){0,5}${h16})?::${h16}`,
	`(?:(?:${h16}:){0,6}${h16})?::`,
];
module.exports = `(?:${forms.join('|')})`;
